phing

# Class: ConfigurationException Source Location: /ConfigurationException.php
### Class Overview
    Exception
       |
       --ConfigurationException
ConfigurationException is thrown by Phing during the configuration and setup phase of the project. #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 552 $ | ### Variables $cause $location | ### Methods __construct getCause
### Inherited Variables #### Class: Exception (Internal Class) $code $file $line $message $string $trace | ### Inherited Methods #### Class: Exception (Internal Class) constructor __construct ( [$message = ], [$code = ] ) getCode ( ) getFile ( ) getLine ( ) getMessage ( ) getTrace ( ) getTraceAsString ( ) __clone ( ) __toString ( )
### Class Details [line 29] ConfigurationException is thrown by Phing during the configuration and setup phase of the project. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 552 $
[ Top ] ### Class Variables #### $cause = [line 41] The nested "cause" exception. #### Tags:
access: | protected
Type: | Exception
[ Top ] #### $location = [line 35] Location in the xml file. #### Tags:
access: | protected
Type: | Location
[ Top ] ### Class Methods ### constructor __construct [line 50]
`ConfigurationException __construct( $p1, [ $p2 = null], [ $p3 = null])`
Construct a BuildException. Supported signatures: throw new BuildException($causeExc); throw new BuildException($msg); throw new BuildException($msg, $causeExc); Overrides Exception::constructor __construct ( [$message = ], [$code = ] ) (parent method not documented) #### Parameters:
| $p1 |
| $p2 |
| $p3 |
[ Top ] ### method getCause [line 79]
`Exception getCause( )`
Gets the cause exception. #### Tags:
access: | public
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:35 +0200 by phpDocumentor 1.4.3